function Screen(){
}

Screen.prototype = new BasicScreenController();
Screen.prototype.constructor = Screen();

//Reference to "this" that won't get clobbered by some other "this"
//Screen.prototype.self = this;

Screen.prototype.name = "LG_WINDOWS_HDMI";

/*
 * Timers use
 * if (timer = * ) it will load if (timer = 0) it won't load
 * Once init is called, timeouts references are stored here
 */

 Screen.prototype.timers = {
     power : 1,
     channel : 0,
     schedule : 0
 }

 Screen.prototype.maxAttempts = {
     power : 1,
     channel : 0,
     schedule : 1
 };

 //PROTOTYPING
 /******************************** INIT PROTOTYPING ********************************/

 Screen.prototype.loadDriver = function(platform){
     if(typeof HDMI_driverController !== "function"){
         eval('eval')(fs.readFileSync('./app/screenDrivers/HDMI.js')+'');
     }
     return new HDMI_driverController();
 };

/******************************** STATUS PROTOTYPING ********************************/

Screen.prototype.generatePowerQuerry = function(){
    var command = "-q";
    return command;
}

Screen.prototype.translatePowerQuerry = function(data){
    if(data.includes("On") && data != "Disconected"){
        this.status.power = 1;
        this.status.tstamp = Math.floor(new Date().getTime()/1000);
        this.attemptsCounter.power = this.maxAttempts.power;
    }else if(data.includes("Off")){
        this.status.power = 0;
        this.status.tstamp = Math.floor(new Date().getTime()/1000);
        this.attemptsCounter.power = this.maxAttempts.power;
    }else{
        if(!(this.attemptsCounter.power < this.maxAttempts.power)){
            this.status.power = -1;
            this.status.tstamp = Math.floor(new Date().getTime()/1000);
        }
    }
    return;
};

Screen.prototype.endPowerQuerry = function(){
    this.checkSchedule();
    return;
};

/******************************** SCHEDULE PROTOTYPING ********************************/

Screen.prototype.generateScheduleQuerry  = function(){return "";};
Screen.prototype.translateScheduleQuerry = function(data){return;};
Screen.prototype.endScheduleQuerry = function(){
    this.attemptsCounter.schedule = this.maxAttempts.schedulereturn;
    return;
};

/******************************** MISC PROTOTYPING ********************************/

Screen.prototype.generateOnQuerry  = function (){
    var command = "-p On";
    return command;
};

Screen.prototype.translateOnQuerry = function(data){return;};

Screen.prototype.generateOffQuerry = function(){
    var command = "-p Off";
    return command;
};

Screen.prototype.translateOffQuerry = function(data){return;};
